Rename a form
curl --request PATCH \
--url https://advisor.redbark.com/api/v1/forms/{form} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"issuer": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', issuer: '<string>'})
};
fetch('https://advisor.redbark.com/api/v1/forms/{form}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/forms/{form}"
payload = {
"name": "<string>",
"issuer": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object": "form",
"id": "<string>",
"number": 123,
"name": "<string>",
"issuer": "<string>",
"layout_id": "<string>",
"mapping_version": 123,
"detection": "waiting",
"field_count": 123,
"page_count": 123,
"archived": true,
"archived_at": "<string>",
"replaces_form_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_status": "proposed",
"replaced_by_form_id": "<string>",
"mapping": [
{
"field_id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123,
"state_rule": "runs_disagreed"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Forms
Rename a form
Renames a library form or changes its issuer. Fills already made keep their name. Only an admin can call this.
PATCH
/
forms
/
{form}
Rename a form
curl --request PATCH \
--url https://advisor.redbark.com/api/v1/forms/{form} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"issuer": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', issuer: '<string>'})
};
fetch('https://advisor.redbark.com/api/v1/forms/{form}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/forms/{form}"
payload = {
"name": "<string>",
"issuer": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"object": "form",
"id": "<string>",
"number": 123,
"name": "<string>",
"issuer": "<string>",
"layout_id": "<string>",
"mapping_version": 123,
"detection": "waiting",
"field_count": 123,
"page_count": 123,
"archived": true,
"archived_at": "<string>",
"replaces_form_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"roles": [
{
"key": "<string>",
"label": "<string>"
}
],
"mapping_status": "proposed",
"replaced_by_form_id": "<string>",
"mapping": [
{
"field_id": "<string>",
"page": 123,
"box": {
"left": 123,
"top": 123,
"width": 123,
"height": 123
},
"type": "text",
"label": "<string>",
"section": "<string>",
"source": "<string>",
"role": "<string>",
"format": "<string>",
"agreement": 123,
"state_rule": "runs_disagreed"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Body
application/json
Response
Success.

